<template>
  <AdminLayout>
    <Breadcrumb currentPageText="Yetkili Olunan Kişi/Kurum Detay" />
    <tabs :tabList="tabList">
      <template #kisikurumbilgileri>
        <tab-yetkili-uye-bilgileri />
      </template>
      <template #onaydurumu>
        <tab-uye-onay-durumu v-if="usersStore.isPanelUser" />
        <tab-uye-onay-durumu-user v-else />
      </template>
    </tabs>
  </AdminLayout>
</template>
<script setup lang="ts">
  import { ref, onBeforeMount } from 'vue'
  import { useRoute } from 'vue-router'
  const route = useRoute()
  import { useUsersStore } from '@/stores/usersStore'
  const usersStore = useUsersStore()
  import { useDataStore } from '@/stores/dataStore'
  const dataStore = useDataStore()

  import AdminLayout from '@/layouts/AdminLayout.vue'
  import TabYetkiliUyeBilgileri from '../components/TabYetkiliUyeBilgileri.vue'
  import TabUyeOnayDurumu from '../components/TabUyeOnayDurumu.vue'
  import TabUyeOnayDurumuUser from '../components/TabUyeOnayDurumuUser.vue'

  const tabList = ref<Record<string, any>[]>([
    { text: 'Kişi/Kurum Bilgileri', id: 'kisikurumbilgileri' }
  ])
  tabList.value.push({ text: 'Onay Durumu', id: 'onaydurumu' })

  onBeforeMount(async () => {
    usersStore.SetSelectedUser()

    if (route.name !== 'UyeYetkiliYeni') {
      let tip = await dataStore.dataGet('Auth/uyedurumkontrol/' + route.params.altUyeId)
      usersStore.userSubApproveId = tip.userIslemtipi
    }
  })
</script>
